RUDOF(1)

NAME
rudof shacl - Show information about SHACL shapes The SHACL schema can be passed through the data options or the optional schema options to provide an interface similar to Shacl-validate

SYNOPSIS
rudof shacl [OPTIONS] [DATA]...

DESCRIPTION
Show information about SHACL shapes The SHACL schema can be passed through the data options or the optional schema options to provide an interface similar to Shacl-validate

  Arguments:

    [DATA]...

OPTIONS

-t, --data-format <FORMAT>
    RDF Data format [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

--reader-mode <MODE>
    RDF Reader mode [default: strict] [possible values: lax, strict]

-e, --endpoint <Endpoint>
    Endpoint with RDF data (URL or name)

-s, --shapes <INPUT>
    Shapes graph: File, URI or - for stdin, if not set, it assumes the shapes come from the data

-f, --shapes-format <FORMAT>
    Shapes file format [possible values: internal, turtle, ntriples, rdfxml, trig, n3, nquads, jsonld]

--base-data <IRI>
    Base RDF Data (used to resolve relative IRIs in RDF data)

--base-shapes <IRI>
    Base RDF Data (used to resolve relative IRIs in Shapes)

-r, --result-shapes-format <FORMAT>
    Result shapes format [default: internal] [possible values: internal, turtle, ntriples, rdfxml, trig, n3, nquads, jsonld]

-o, --output-file <FILE>
    Output file name, default = terminal

--force-overwrite
    Force overwrite to output file if it already exists

-c, --config-file <FILE>
    Config file name

-h, --help
    Print help